org.eclipse.eef

## Interface EEFValidationRuleDescription

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  EEFPropertyValidationRuleDescription, EEFSemanticValidationRuleDescription

All Known Implementing Classes:
  EEFPropertyValidationRuleDescriptionImpl, EEFSemanticValidationRuleDescriptionImpl, EEFValidationRuleDescriptionImpl

    public interface EEFValidationRuleDescription
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'EEF Validation Rule Description'.

The following features are supported:

- `Severity`
- `Message Expression`
- `Audits`
- `Fixes`

See Also:
  `EefPackage.getEEFValidationRuleDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<EEFRuleAuditDescription>` `getAudits()` Returns the value of the 'Audits' containment reference list.
`org.eclipse.emf.common.util.EList<EEFValidationFixDescription>` `getFixes()` Returns the value of the 'Fixes' containment reference list.
`java.lang.String` `getMessageExpression()` Returns the value of the 'Message Expression' attribute.
`EEF_VALIDATION_SEVERITY_DESCRIPTION` `getSeverity()` Returns the value of the 'Severity' attribute.
`void` `setMessageExpression(java.lang.String value)` Sets the value of the '`Message Expression`' attribute.
`void` `setSeverity(EEF_VALIDATION_SEVERITY_DESCRIPTION value)` Sets the value of the '`Severity`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getSeverity

    EEF_VALIDATION_SEVERITY_DESCRIPTION getSeverity()

Returns the value of the 'Severity' attribute. The literals are from the enumeration `EEF_VALIDATION_SEVERITY_DESCRIPTION`. The severity of the validation rule.

Returns:
  the value of the 'Severity' attribute.
See Also:
  `EEF_VALIDATION_SEVERITY_DESCRIPTION`, `setSeverity(EEF_VALIDATION_SEVERITY_DESCRIPTION)`, `EefPackage.getEEFValidationRuleDescription_Severity()`

#### setSeverity

    void setSeverity(EEF_VALIDATION_SEVERITY_DESCRIPTION value)

Sets the value of the '`Severity`' attribute.

Parameters:
  `value` - the new value of the 'Severity' attribute.
See Also:
  `EEF_VALIDATION_SEVERITY_DESCRIPTION`, `getSeverity()`

#### getMessageExpression

    java.lang.String getMessageExpression()

Returns the value of the 'Message Expression' attribute. The expression used to compute the message to display to the end user in case of error.

Returns:
  the value of the 'Message Expression' attribute.
See Also:
  `setMessageExpression(String)`, `EefPackage.getEEFValidationRuleDescription_MessageExpression()`

#### setMessageExpression

    void setMessageExpression(java.lang.String value)

Sets the value of the '`Message Expression`' attribute.

Parameters:
  `value` - the new value of the 'Message Expression' attribute.
See Also:
  `getMessageExpression()`

#### getAudits

    org.eclipse.emf.common.util.EList<EEFRuleAuditDescription> getAudits()

Returns the value of the 'Audits' containment reference list. The list contents are of type `EEFRuleAuditDescription`. The audits to perform to ensure that the validation rule is valid or not.

Returns:
  the value of the 'Audits' containment reference list.
See Also:
  `EefPackage.getEEFValidationRuleDescription_Audits()`

#### getFixes

    org.eclipse.emf.common.util.EList<EEFValidationFixDescription> getFixes()

Returns the value of the 'Fixes' containment reference list. The list contents are of type `EEFValidationFixDescription`. The quick fixes that can be used to fix invalid data.

Returns:
  the value of the 'Fixes' containment reference list.
See Also:
  `EefPackage.getEEFValidationRuleDescription_Fixes()`